{"id":"CVE-2022-31800","state":"PUBLISHED","title":"Insufficient Verification of Data Vulnerability in PHOENIX CONTACT classic line industrial controllers","description":"An unauthenticated, remote attacker could upload malicious logic to devices based on ProConOS/ProConOS eCLR in order to gain full control over the device.","publishedAt":"2022-06-21T08:00:19.264Z","updatedAt":"2026-06-02T20:15:56.406Z","severity":{"score":9.8,"label":"Critical","version":"3.1","vector":"CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H","source":"CERTVDE"},"assigner":"CERTVDE","products":["PHOENIX CONTACT ILC 1x0","PHOENIX CONTACT ILC 1x1","PHOENIX CONTACT ILC 1x1 GSM/GPRS","PHOENIX CONTACT ILC 3xx","PHOENIX CONTACT AXC 1050","PHOENIX CONTACT AXC 1050 XC","PHOENIX CONTACT AXC 3050","PHOENIX CONTACT RFC 480S PN 4TX","PHOENIX CONTACT RFC 470 PN 3TX","PHOENIX CONTACT RFC 470S PN 3TX","PHOENIX CONTACT RFC 460R PN 3TX","PHOENIX CONTACT RFC 460R PN 3TX-S","PHOENIX CONTACT RFC 430 ETH-IB","PHOENIX CONTACT RFC 450 ETH-IB","PHOENIX CONTACT PC WORX SRT","PHOENIX CONTACT PC WORX RT BASIC","PHOENIX CONTACT FC 350 PCI ETH"],"affected":[{"vendor":"PHOENIX CONTACT","product":"ILC 1x0","versions":[{"version":"All Versions","status":"affected"}]},{"vendor":"PHOENIX CONTACT","product":"ILC 1x1","versions":[{"version":"All Versions","status":"affected"}]},{"vendor":"PHOENIX CONTACT","product":"ILC 1x1 GSM/GPRS","versions":[{"version":"All Versions","status":"affected"}]},{"vendor":"PHOENIX CONTACT","product":"ILC 3xx","versions":[{"version":"All Versions","status":"affected"}]},{"vendor":"PHOENIX CONTACT","product":"AXC 1050","versions":[{"version":"All Versions","status":"affected"}]},{"vendor":"PHOENIX CONTACT","product":"AXC 1050 XC","versions":[{"version":"All Versions","status":"affected"}]},{"vendor":"PHOENIX CONTACT","product":"AXC 3050","versions":[{"version":"All Versions","status":"affected"}]},{"vendor":"PHOENIX CONTACT","product":"RFC 480S PN 4TX","versions":[{"version":"All Versions","status":"affected"}]},{"vendor":"PHOENIX CONTACT","product":"RFC 470 PN 3TX","versions":[{"version":"All Versions","status":"affected"}]},{"vendor":"PHOENIX CONTACT","product":"RFC 470S PN 3TX","versions":[{"version":"All Versions","status":"affected"}]},{"vendor":"PHOENIX CONTACT","product":"RFC 460R PN 3TX","versions":[{"version":"All Versions","status":"affected"}]},{"vendor":"PHOENIX CONTACT","product":"RFC 460R PN 3TX-S","versions":[{"version":"All Versions","status":"affected"}]},{"vendor":"PHOENIX CONTACT","product":"RFC 430 ETH-IB","versions":[{"version":"All Versions","status":"affected"}]},{"vendor":"PHOENIX CONTACT","product":"RFC 450 ETH-IB","versions":[{"version":"All Versions","status":"affected"}]},{"vendor":"PHOENIX CONTACT","product":"PC WORX SRT","versions":[{"version":"All Versions","status":"affected"}]},{"vendor":"PHOENIX CONTACT","product":"PC WORX RT BASIC","versions":[{"version":"All Versions","status":"affected"}]},{"vendor":"PHOENIX CONTACT","product":"FC 350 PCI ETH","versions":[{"version":"All Versions","status":"affected"}]}],"references":["https://cert.vde.com/en/advisories/VDE-2022-025/"],"weaknesses":["CWE-345"],"ingestedAt":"2026-10-29T19:50:06.617Z","source":{"repository":"CVEProject/cvelistV5","path":"cves/2022/31xxx/CVE-2022-31800.json","commit":"556c9d3a8cd17e218bb8e452ba7cd619a384ff47"},"raw":{"dataType":"CVE_RECORD","dataVersion":"5.2","cveMetadata":{"cveId":"CVE-2022-31800","state":"PUBLISHED","datePublished":"2022-06-21T08:00:19.264Z","dateUpdated":"2026-06-02T20:15:56.406Z","assignerShortName":"CERTVDE","assignerOrgId":"270ccfa6-a436-4e77-922e-914ec3a9685c","dateReserved":"2022-05-30T00:00:00.000Z"},"containers":{"cna":{"title":"Insufficient Verification of Data Vulnerability in PHOENIX CONTACT classic line industrial controllers","descriptions":[{"lang":"en","value":"An unauthenticated, remote attacker could upload malicious logic to devices based on ProConOS/ProConOS eCLR in order to gain full control over the device."}],"affected":[{"vendor":"PHOENIX CONTACT","product":"ILC 1x0","versions":[{"version":"All Versions","status":"affected"}]},{"vendor":"PHOENIX CONTACT","product":"ILC 1x1","versions":[{"version":"All Versions","status":"affected"}]},{"vendor":"PHOENIX CONTACT","product":"ILC 1x1 GSM/GPRS","versions":[{"version":"All Versions","status":"affected"}]},{"vendor":"PHOENIX CONTACT","product":"ILC 3xx","versions":[{"version":"All Versions","status":"affected"}]},{"vendor":"PHOENIX CONTACT","product":"AXC 1050","versions":[{"version":"All Versions","status":"affected"}]},{"vendor":"PHOENIX CONTACT","product":"AXC 1050 XC","versions":[{"version":"All Versions","status":"affected"}]},{"vendor":"PHOENIX CONTACT","product":"AXC 3050","versions":[{"version":"All Versions","status":"affected"}]},{"vendor":"PHOENIX CONTACT","product":"RFC 480S PN 4TX","versions":[{"version":"All Versions","status":"affected"}]},{"vendor":"PHOENIX CONTACT","product":"RFC 470 PN 3TX","versions":[{"version":"All Versions","status":"affected"}]},{"vendor":"PHOENIX CONTACT","product":"RFC 470S PN 3TX","versions":[{"version":"All Versions","status":"affected"}]},{"vendor":"PHOENIX CONTACT","product":"RFC 460R PN 3TX","versions":[{"version":"All Versions","status":"affected"}]},{"vendor":"PHOENIX CONTACT","product":"RFC 460R PN 3TX-S","versions":[{"version":"All Versions","status":"affected"}]},{"vendor":"PHOENIX CONTACT","product":"RFC 430 ETH-IB","versions":[{"version":"All Versions","status":"affected"}]},{"vendor":"PHOENIX CONTACT","product":"RFC 450 ETH-IB","versions":[{"version":"All Versions","status":"affected"}]},{"vendor":"PHOENIX CONTACT","product":"PC WORX SRT","versions":[{"version":"All Versions","status":"affected"}]},{"vendor":"PHOENIX CONTACT","product":"PC WORX RT BASIC","versions":[{"version":"All Versions","status":"affected"}]},{"vendor":"PHOENIX CONTACT","product":"FC 350 PCI ETH","versions":[{"version":"All Versions","status":"affected"}]}],"references":[{"url":"https://cert.vde.com/en/advisories/VDE-2022-025/","tags":["x_refsource_CONFIRM"]}],"metrics":[{"cvssV3_1":{"attackComplexity":"LOW","attackVector":"NETWORK","availabilityImpact":"HIGH","baseScore":9.8,"baseSeverity":"CRITICAL","confidentialityImpact":"HIGH","integrityImpact":"HIGH","privilegesRequired":"NONE","scope":"UNCHANGED","userInteraction":"NONE","vectorString":"CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H","version":"3.1"}}],"problemTypes":[{"descriptions":[{"cweId":"CWE-345","description":"CWE-345 Insufficient Verification of Data Authenticity","lang":"en","type":"CWE"}]}],"providerMetadata":{"shortName":"CERTVDE","dateUpdated":"2022-06-21T08:00:19.000Z","orgId":"270ccfa6-a436-4e77-922e-914ec3a9685c"},"credits":[{"lang":"en","value":"This vulnerability was reported by Forescout."}],"datePublic":"2022-06-20T00:00:00.000Z","source":{"advisory":"VDE-2022-026","discovery":"UNKNOWN"},"x_generator":{"engine":"Vulnogram 0.0.9"},"x_legacyV4Record":{"CVE_data_meta":{"ASSIGNER":"info@cert.vde.com","DATE_PUBLIC":"2022-06-20T07:00:00.000Z","ID":"CVE-2022-31800","STATE":"PUBLIC","TITLE":"Insufficient Verification of Data Vulnerability in PHOENIX CONTACT classic line industrial controllers"},"affects":{"vendor":{"vendor_data":[{"product":{"product_data":[{"product_name":"ILC 1x0","version":{"version_data":[{"version_affected":"=","version_name":"All Versions","version_value":"All Versions"}]}},{"product_name":"ILC 1x1","version":{"version_data":[{"version_affected":"=","version_name":"All Versions","version_value":"All Versions"}]}},{"product_name":"ILC 1x1 GSM/GPRS","version":{"version_data":[{"version_affected":"=","version_name":"All Versions","version_value":"All Versions"}]}},{"product_name":"ILC 3xx","version":{"version_data":[{"version_affected":"=","version_name":"All Versions","version_value":"All Versions"}]}},{"product_name":"AXC 1050","version":{"version_data":[{"version_affected":"=","version_name":"All Versions","version_value":"All Versions"}]}},{"product_name":"AXC 1050 XC","version":{"version_data":[{"version_affected":"=","version_name":"All Versions","version_value":"All Versions"}]}},{"product_name":"AXC 3050","version":{"version_data":[{"version_affected":"=","version_name":"All Versions","version_value":"All Versions"}]}},{"product_name":"RFC 480S PN 4TX","version":{"version_data":[{"version_affected":"=","version_name":"All Versions","version_value":"All Versions"}]}},{"product_name":"RFC 470 PN 3TX","version":{"version_data":[{"version_affected":"=","version_name":"All Versions","version_value":"All Versions"}]}},{"product_name":"RFC 470S PN 3TX","version":{"version_data":[{"version_affected":"=","version_name":"All Versions","version_value":"All Versions"}]}},{"product_name":"RFC 460R PN 3TX","version":{"version_data":[{"version_affected":"=","version_name":"All Versions","version_value":"All Versions"}]}},{"product_name":"RFC 460R PN 3TX-S","version":{"version_data":[{"version_affected":"=","version_name":"All Versions","version_value":"All Versions"}]}},{"product_name":"RFC 430 ETH-IB","version":{"version_data":[{"version_affected":"=","version_name":"All Versions","version_value":"All Versions"}]}},{"product_name":"RFC 450 ETH-IB","version":{"version_data":[{"version_affected":"=","version_name":"All Versions","version_value":"All Versions"}]}},{"product_name":"PC WORX SRT","version":{"version_data":[{"version_affected":"=","version_name":"All Versions","version_value":"All Versions"}]}},{"product_name":"PC WORX RT BASIC","version":{"version_data":[{"version_affected":"=","version_name":"All Versions","version_value":"All Versions"}]}},{"product_name":"FC 350 PCI ETH","version":{"version_data":[{"version_affected":"=","version_name":"All Versions","version_value":"All Versions"}]}}]},"vendor_name":"PHOENIX CONTACT"}]}},"credit":[{"lang":"eng","value":"This vulnerability was reported by Forescout."}],"data_format":"MITRE","data_type":"CVE","data_version":"4.0","description":{"description_data":[{"lang":"eng","value":"An unauthenticated, remote attacker could upload malicious logic to devices based on ProConOS/ProConOS eCLR in order to gain full control over the device."}]},"generator":{"engine":"Vulnogram 0.0.9"},"impact":{"cvss":{"attackComplexity":"LOW","attackVector":"NETWORK","availabilityImpact":"HIGH","baseScore":9.8,"baseSeverity":"CRITICAL","confidentialityImpact":"HIGH","integrityImpact":"HIGH","privilegesRequired":"NONE","scope":"UNCHANGED","userInteraction":"NONE","vectorString":"CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H","version":"3.1"}},"problemtype":{"problemtype_data":[{"description":[{"lang":"eng","value":"CWE-345 Insufficient Verification of Data Authenticity"}]}]},"references":{"reference_data":[{"name":"https://cert.vde.com/en/advisories/VDE-2022-025/","refsource":"CONFIRM","url":"https://cert.vde.com/en/advisories/VDE-2022-025/"}]},"source":{"advisory":"VDE-2022-026","discovery":"UNKNOWN"}}},"adp":[{"title":"CVE Program Container","references":[{"url":"https://cert.vde.com/en/advisories/VDE-2022-025/","tags":["x_refsource_CONFIRM","x_transferred"]}],"providerMetadata":{"shortName":"CVE","orgId":"af854a3a-2127-422b-91ae-364da2661108","dateUpdated":"2024-08-03T07:26:01.318Z"}},{"title":"CISA ADP Vulnrichment","metrics":[{"other":{"type":"ssvc","content":{"timestamp":"2026-06-02T19:56:37.443970Z","id":"CVE-2022-31800","options":[{"Exploitation":"none"},{"Automatable":"yes"},{"Technical Impact":"total"}],"role":"CISA Coordinator","version":"2.0.3"}}}],"providerMetadata":{"shortName":"CISA-ADP","orgId":"134c704f-9b21-4f2e-91b3-4a467353bcc0","dateUpdated":"2026-06-02T20:15:56.406Z"}}]}}}